felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Blewitt (JIRA)" <j...@apache.org>
Subject [jira] Created: (FELIX-2656) Maven-bundle-plugin identified as not thread-safe in Maven 3.0
Date Wed, 13 Oct 2010 21:52:32 GMT
Maven-bundle-plugin identified as not thread-safe in Maven 3.0

                 Key: FELIX-2656
                 URL: https://issues.apache.org/jira/browse/FELIX-2656
             Project: Felix
          Issue Type: Bug
          Components: Maven Bundle Plugin
    Affects Versions: maven-bundle-plugin-2.1.0
            Reporter: Alex Blewitt
            Priority: Minor

When executing a Maven-3 build with maven-bundle-plugin and set to more than one thread, this
error message is shown:

[WARNING] *****************************************************************
[WARNING] * Your build is requesting parallel execution, but project      *
[WARNING] * contains the following plugin(s) that are not marked as       *
[WARNING] * @threadSafe to support parallel building.                     *
[WARNING] * While this /may/ work fine, please look for plugin updates    *
[WARNING] * and/or request plugins be made thread-safe.                   *
[WARNING] * If reporting an issue, report it against the plugin in        *
[WARNING] * question, not against maven-core                              *
[WARNING] *****************************************************************
[WARNING] The following plugins are not marked @threadSafe in com.infoq.minimal:
[WARNING] org.apache.felix:maven-bundle-plugin:2.1.0
[WARNING] *****************************************************************


mvn -T 4 clean install # Builds with 4 threads

I believe the solution is to add @threadSafe to the maven-bundle-plugin MoJo class (after
checking that it is in fact thread-safe :)

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message